Bug 1634673 - [RFE] Access reports based on roles
Summary: [RFE] Access reports based on roles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.6
Hardware: All
OS: Linux
unspecified
high
Target Milestone: GA
: 5.10.0
Assignee: Yuri Rudman
QA Contact: Parthvi Vala
URL:
Whiteboard:
Depends On: 1450406
Blocks: 1468726
TreeView+ depends on / blocked
 
Reported: 2018-10-01 10:22 UTC by Andrea Perotti
Modified: 2019-02-07 23:03 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.20
Doc Type: Enhancement
Doc Text:
Clone Of: 1450406
Environment:
Last Closed: 2019-02-07 23:03:43 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:52 UTC

Description Andrea Perotti 2018-10-01 10:22:06 UTC
+++ This bug was initially created as a clone of Bug #1450406 +++

Description of problem:

As per the configuration, there are 40 groups assigned to single role and the customer want to access reports based on roles rather than individual groups.  So he is looking for an alternative/workaround for the same.

Is there any convenient option available so to access reports through one role rather than mapping to individual groups which are belong to same role.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. 
2.
3.

Actual results:
Mapping done based on groups under edit report menu

Expected results:
Mapping done based on roles assigned to several groups.

Comment 5 CFME Bot 2018-10-12 16:22:17 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/dc2495f65382ed16d75d683c3985c6b4463f1e19
commit dc2495f65382ed16d75d683c3985c6b4463f1e19
Author:     Yuri Rudman <yrudman@redhat.com>
AuthorDate: Fri Oct  5 15:29:24 2018 -0400
Commit:     Yuri Rudman <yrudman@redhat.com>
CommitDate: Fri Oct  5 15:29:24 2018 -0400

    Script to copy/reset available reports (for group and role):
      - duplicate report structure from one group to another group
      - duplicate report structure from group to role, which means to each group having that role
      - remove cutomized report sructure from group
      - remove customized report structure from role, which means from each group having that role
    EXAMPLE: bundle exec ruby ./tools/copy_reports_structure -s EvmGroup  -r SomeRole
             bundle exec ruby ./tools/copy_reports_structure -p SomeRole
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1634673

 tools/copy_reports_structure.rb | 92 +
 1 file changed, 92 insertions(+)

Comment 6 CFME Bot 2018-10-12 16:23:11 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/cf812e13e51ce3bada4819a5c319b6c6acb2e8a2
commit cf812e13e51ce3bada4819a5c319b6c6acb2e8a2
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Oct 11 15:41:36 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu Oct 11 15:41:36 2018 -0400

    Merge pull request #18066 from yrudman/script-to-copy-report-for-ll-groups-in-role

    Script to copy reports access from group to role

    (cherry picked from commit a8f357dbe8af8fed28487d2c5af0f0730e2985af)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1634673

 spec/tools/copy_reports_structure_spec.rb | 97 +
 tools/copy_reports_structure.rb | 43 +
 tools/copy_reports_structure/report_structure.rb | 60 +
 3 files changed, 200 insertions(+)

Comment 7 Parthvi Vala 2018-11-13 09:31:25 UTC
FIXED. Verified on 5.10.0.23.20181106165157_92dd189.

Steps taken to verify:
1) Create a role `role1`.
2) Create more than 1 group and assign them to role `role1`.
3) Create 2 new reports `report1` and `report2`.
4) Navigate to `Edit Report Menus`, select a group, say `EvmGroup-super_administrator` and move `report1` to some menu.
5) SSH into the appliance, `vmdb` and run the script to copy report structure from a group to a role.
`bundle exec ruby ./tools/copy_reports_structure.rb --source-group=EvmGroup-super_administrator --target-role=role1`.
6) Refresh the browser and check if the report structure of `EvmGroup-super_administrator` was copied to all the groups belonging to `role1`.
7) Move `report2` to some menu in some other group, say `EmvGroup-desktop`.
8) Run the script to copy report structure from one group to another
`bundle exec ruby ./tools/copy_reports_structure.rb --source-group=EvmGroup-desktop --target-group=group2`
9) Refresh the browser, go to `group2` under `Edit Report Menus` and check if the report structure was copied.
10) Reset the report structure for a group by running
`bundle exec ruby ./tools/copy_reports_structure.rb --reset-group=group2`
11) Refresh the browser and check if the structure was reset.

Comment 8 errata-xmlrpc 2019-02-07 23:03:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.